Bug 1029684 - SELinux is preventing sedispatch from 'write' accesses on the sock_file log.
SELinux is preventing sedispatch from 'write' accesses on the sock_file log.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9a2d09331c2238887957b06e455...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 17:23 EST by Joel
Modified: 2014-11-21 07:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-21 07:33:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel 2013-11-12 17:23:38 EST
Description of problem:
Occurred while running:

yum -y --releasever=20 --nogpg --installroot=/var/lib/libvirt/filesystems/mycontainer --disablerepo='*' --enablerepo=fedora install systemd passwd yum fedora-release vim-minimal openssh-server procps-ng
This ocurred while running (as root):
yum -y --releasever=20 --nogpg --installroot=/var/lib/libvirt/filesystems/mycontainer --disablerepo='*' --enablerepo=fedora install systemd passwd yum fedora-release vim-minimal openssh-server procps-ng

SELinux is preventing sedispatch from 'write' accesses on the sock_file log.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sedispatch should be allowed write access on the log sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sedispatch /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:audisp_t:s0
Target Context                unconfined_u:object_r:device_t:s0
Target Objects                log [ sock_file ]
Source                        sedispatch
Source Path                   sedispatch
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-84.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.2-301.fc20.x86_64 #1 SMP Fri
                              Sep 27 19:45:03 UTC 2013 x86_64 x86_64
Alert Count                   383
First Seen                    2013-10-02 20:39:27 EDT
Last Seen                     2013-10-02 20:46:14 EDT
Local ID                      71a36b0e-4515-4f0a-994e-684805656298

Raw Audit Messages
type=AVC msg=audit(1380761174.102:16721): avc:  denied  { write } for  pid=440 comm="sedispatch" name="log" dev="devtmpfs" ino=23697 scontext=system_u:system_r:audisp_t:s0 tcontext=unconfined_u:object_r:device_t:s0 tclass=sock_file


Hash: sedispatch,audisp_t,device_t,sock_file,write

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.7-300.fc20.x86_64
type:           libreport

Potential duplicate: bug 690340
Comment 1 Lukas Vrabec 2014-11-21 07:33:15 EST
Hi, 

please run:
# restorecon /dev/log
to fix your issue.

Note You need to log in before you can comment on or make changes to this bug.